/*
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA  02110-1301, USA.

    ---
    Copyright (C) 2008, Hasan Abdel Halim  <hasana@gmail.com>
 */

#ifndef PLASMA_MPCLIENT_H
#define PLASMA_MPCLIENT_H

#include <Plasma/Applet>

namespace Plasma {
    class PushButton;
    class VBoxLayout;
    class HBoxLayout;
    class LineEdit;
}

/**
	@author Hasan Abdel Halim <abdelhal@informatik.uni-bonn.de>
*/
class MPClient : public Plasma::Applet
{
    Q_OBJECT
    public:
        MPClient(QObject *parent, const QVariantList &args);
        ~MPClient();

        void init();
        void paintInterface(QPainter *painter,
                            const QStyleOptionGraphicsItem *option,
                            const QRect& contentsRect);
        void constraintsUpdated(Plasma::Constraints);
//         void setContentSize(const QSizeF& size);
//         QSizeF contentSizeHint() const;
        Qt::Orientations expandingDirections() const;

    public slots:
        void slotNext();
        void slotPrev();
        void slotPlay();
        void slotStop();

//     private :
//         Plasma::PushButton *m_btnNext;
//         Plasma::PushButton *m_btnPrev;
//         Plasma::PushButton *m_btnPlay;
//         Plasma::PushButton *m_btnStop;
//         Plasma::LineEdit *m_lblTitle;
//         Plasma::HBoxLayout *m_btns_layout;
//         Plasma::VBoxLayout *m_layout;
//         QSizeF m_size;
};

K_EXPORT_PLASMA_APPLET(mpc, MPClient )
#endif
